de.esprit.common

## Class SysDefaults

- java.lang.Object
- - de.esprit.common.SysDefaults

-     public class SysDefaults
      extends java.lang.Object

  This class is just a container that stores global configuration parameters.
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `EMAIL_ADMIN`
    `static java.lang.String` | `EMAIL_AUTHOR`
    `static java.lang.String` | `EMAIL_VENDOR`
    `static java.lang.String` | `VENDOR_NAME`
    `static java.lang.String` | `VENDOR_SITE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SysDefaults()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.swing.border.Border` | `createTableHeaderBorder()`
    `protected java.awt.Font` | `createTableHeaderFont()`
    `java.awt.Color` | `getAgedTimestampColor()` Color for displaying aged timestamp values
    `long` | `getAgedTimestampDuration()` The duration for which a timestamp is considered to be aged (in millis)
    `java.awt.Font` | `getBigTitleFont()` The default font headers in dialogs.
    `javax.swing.border.Border` | `getDisplayFieldBorder()` Default border for text display components.
    `javax.swing.border.Border` | `getDurationFieldBorder()` Default border for duration fields.
    `int` | `getErrorAutoCloseDelay()` Error dialogs will close automatically after this delay (in seconds)
    `java.awt.Font` | `getFieldFont()` The default font for input field and text editing components.
    `javax.swing.border.Border` | `getImageBorder()` Default border for images
    `javax.swing.border.Border` | `getListBorder()` Default border for list widgets.
    `java.awt.Color` | `getLockedColor()` Background color for read-only fields.
    `java.awt.Color` | `getNotNullColor()` Background color for not-null fields.
    `javax.swing.border.Border` | `getPanelBorder()` Default border for form panels.
    `java.awt.Color` | `getReadOnlyColor()` Background color for not-null fields.
    `java.awt.Font` | `getStatusFont()` The default font used for the status panel text output and map tooltips.
    `javax.swing.border.Border` | `getTextFieldBorder()` Default border for text editing components.
    `javax.swing.border.Border` | `getTimeFieldBorder()` Default border for text editing components.
    `javax.swing.border.Border` | `getTitleBorder()` Default border for title labels
    `java.awt.Font` | `getTitleFont()` The default font titles in dialogs.
    `javax.swing.border.Border` | `getToolWindowBorder()` Default border for a tool window without decorations
    `java.awt.Color` | `getYoungTimestampColor()` Color for displaying young timestamp values
    `long` | `getYoungTimestampDuration()` The duration for which a timestamp is considered to be young (in millis)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VENDOR_NAME

          public static final java.lang.String VENDOR_NAME

      See Also:
        Constant Field Values

    - #### VENDOR_SITE

          public static final java.lang.String VENDOR_SITE

      See Also:
        Constant Field Values

    - #### EMAIL_VENDOR

          public static final java.lang.String EMAIL_VENDOR

      See Also:
        Constant Field Values

    - #### EMAIL_ADMIN

          public static final java.lang.String EMAIL_ADMIN

      See Also:
        Constant Field Values

    - #### EMAIL_AUTHOR

          public static final java.lang.String EMAIL_AUTHOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SysDefaults

          public SysDefaults()

  - ### Method Detail

    - #### createTableHeaderFont

          protected java.awt.Font createTableHeaderFont()

    - #### createTableHeaderBorder

          protected javax.swing.border.Border createTableHeaderBorder()

    - #### getErrorAutoCloseDelay

          public int getErrorAutoCloseDelay()

      Error dialogs will close automatically after this delay (in seconds)

    - #### getPanelBorder

          public javax.swing.border.Border getPanelBorder()

      Default border for form panels.

    - #### getTextFieldBorder

          public javax.swing.border.Border getTextFieldBorder()

      Default border for text editing components.

    - #### getDisplayFieldBorder

          public javax.swing.border.Border getDisplayFieldBorder()

      Default border for text display components.

    - #### getDurationFieldBorder

          public javax.swing.border.Border getDurationFieldBorder()

      Default border for duration fields.

    - #### getTimeFieldBorder

          public javax.swing.border.Border getTimeFieldBorder()

      Default border for text editing components.

    - #### getListBorder

          public javax.swing.border.Border getListBorder()

      Default border for list widgets.

    - #### getTitleBorder

          public javax.swing.border.Border getTitleBorder()

      Default border for title labels

    - #### getImageBorder

          public javax.swing.border.Border getImageBorder()

      Default border for images

    - #### getToolWindowBorder

          public javax.swing.border.Border getToolWindowBorder()

      Default border for a tool window without decorations

    - #### getYoungTimestampColor

          public java.awt.Color getYoungTimestampColor()

      Color for displaying young timestamp values

    - #### getAgedTimestampColor

          public java.awt.Color getAgedTimestampColor()

      Color for displaying aged timestamp values

    - #### getLockedColor

          public java.awt.Color getLockedColor()

      Background color for read-only fields.

    - #### getNotNullColor

          public java.awt.Color getNotNullColor()

      Background color for not-null fields.

    - #### getReadOnlyColor

          public java.awt.Color getReadOnlyColor()

      Background color for not-null fields.

    - #### getYoungTimestampDuration

          public long getYoungTimestampDuration()

      The duration for which a timestamp is considered to be young (in millis)

    - #### getAgedTimestampDuration

          public long getAgedTimestampDuration()

      The duration for which a timestamp is considered to be aged (in millis)

    - #### getFieldFont

          public java.awt.Font getFieldFont()

      The default font for input field and text editing components.

    - #### getStatusFont

          public java.awt.Font getStatusFont()

      The default font used for the status panel text output and map tooltips.

    - #### getBigTitleFont

          public java.awt.Font getBigTitleFont()

      The default font headers in dialogs.

    - #### getTitleFont

          public java.awt.Font getTitleFont()

      The default font titles in dialogs.

Copyright © 2014 EsprIT-Systems. All Rights Reserved.